Subject: [PATCH v3 00/24] [haskell-team] GHC update.

From: Nicolas Graves <[email-masked]>
Date: Thu, 31 Oct 2024 13:46:39 +0100

Hi!  Such a long rabbithole to update pandoc, but I think I managed to
find a way to make the last errors disappear.  It however includes a
lot of earlier GHC rebuilds, so it could be a fix added only for 9.4.8
instead of on earlier versions of GHC too.  I haven't rebuilt
everything from the ground up myself, but have tested this fix on
8.6.5.

I add Josselin to the cc loop since it's a rewrite of one of its
patches durign the last core-updates.

Nicolas Graves (1):
  gnu: ghc: More robust build with binutils ≥ 2.39.

Saku Laesvuori (23):
  gnu: ghc-next: Update to version 9.4.8
  gnu: Add ghc-js-flot-bootstrap-for-9.6
  gnu: Add ghc-clock-bootstrap-for-9.6
  gnu: Add ghc-extra-bootstrap-for-9.6
  gnu: Add ghc-hashable-bootstrap-for-9.6
  gnu: Add ghc-splitmix-bootstrap-for-9.6
  gnu: Add ghc-random-bootstrap-for-9.6
  gnu: Add ghc-primitive-bootstrap-for-9.6
  gnu: Add ghc-js-jquery-bootstrap-for-9.6
  gnu: Add ghc-utf8-string-bootstrap-for-9.6
  gnu: Add ghc-heaps-bootstrap-for-9.6
  gnu: Add ghc-js-dgtable-bootstrap-for-9.6
  gnu: Add ghc-nats-bootstrap-for-9.6
  gnu: Add ghc-tagged-bootstrap-for-9.6
  gnu: Add ghc-semigroups-bootstrap-for-9.6
  gnu: Add ghc-base16-bytestring-bootstrap-for-9.6
  gnu: Add ghc-cryptohash-sha256-bootstrap-for-9.6
  gnu: Add ghc-unordered-containers-bootstrap-for-9.6
  gnu: Add ghc-filepattern-bootstrap-for-9.6
  gnu: Add ghc-shake-bootstrap-for-9.6
  gnu: Add hadrian-for-ghc-9.6
  gnu: Add ghc-9.6
  gnu: ghc: Update to version 9.6.4

 gnu/local.mk                                  |   1 -
 gnu/packages/haskell.scm                      | 712 +++++++++++++++++-
 .../patches/ghc-9.4-testsuite-fixes.patch     | 119 +++
 .../ghc-testsuite-recomp015-execstack.patch   |  10 -
 4 files changed, 805 insertions(+), 37 deletions(-)
 create mode 100644 gnu/packages/patches/ghc-9.4-testsuite-fixes.patch
 delete mode 100644 gnu/packages/patches/ghc-testsuite-recomp015-execstack.patch

-- 
2.46.0